%define major 9
%define libname %mklibname iscsi %major
# devname include major b/c open-iscsi generates another libiscsi:
%define devname %mklibname -d iscsi %major

Name: libiscsi
Summary: iSCSI client library
# Epoch bump to unmask the packages previously hidden by open-iscsi's libiscsi packages (which are now renamed)
Epoch: 1
Version: 1.19.0
Release: %mkrel 0.git6ea30ae
License: LGPLv2+
Group: System/Libraries
URL: https://github.com/sahlberg/%{name}

#Source: https://github.com/sahlberg/libiscsi/archive/{version}.tar.gz
Source: libiscsi-20200224-git6ea30ae.tar.xz

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: pkgconfig(popt)
BuildRequires: pkgconfig(cunit)
BuildRequires: libgcrypt-devel
BuildRequires: rdmacm-devel

%description
libiscsi is a library for attaching to iSCSI resources across
a network.


#######################################################################

# Conflict with iscsi-initiator-utils.

%global libiscsi_includedir %{_includedir}/iscsi
%global libiscsi_libdir %{_libdir}/iscsi

%prep
%autosetup -p1

%build
sh autogen.sh
%configure --libdir=%{libiscsi_libdir} --disable-werror
%make_build

%install
make DESTDIR=$RPM_BUILD_ROOT install pkgconfigdir=%{_libdir}/pkgconfig %{?_smp_mflags}
mkdir -p $RPM_BUILD_ROOT/etc/ld.so.conf.d
echo %{libiscsi_libdir} > $RPM_BUILD_ROOT/etc/ld.so.conf.d/%{name}-%{_arch}.conf
rm $RPM_BUILD_ROOT/%{libiscsi_libdir}/libiscsi.a
rm $RPM_BUILD_ROOT/%{libiscsi_libdir}/libiscsi.la


%package -n %libname
Summary: iSCSI client library
Group: System/Libraries
License: GPLv2+

%description -n %libname
libiscsi is a library for attaching to iSCSI resources across
a network.

%files -n %libname
%license COPYING LICENCE-LGPL-2.1.txt
%doc README TODO
%dir %{libiscsi_libdir}
%{libiscsi_libdir}/libiscsi.so.%{major}
%{libiscsi_libdir}/libiscsi.so.%{major}.*
%config /etc/ld.so.conf.d/*

%package utils
Summary: iSCSI Client Utilities
Group: System/Base
License: GPLv2+
Requires: %{libname}%{?_isa} = %{epoch}:%{version}-%{release}

%description utils
The libiscsi-utils package provides a set of assorted utilities to connect
to iSCSI servers without having to set up the Linux iSCSI initiator.

%files utils
%license LICENCE-GPL-2.txt
%{_bindir}/iscsi-ls
%{_bindir}/iscsi-inq
%{_bindir}/iscsi-readcapacity16
%{_bindir}/iscsi-swp
%{_bindir}/iscsi-perf
%{_bindir}/iscsi-test-cu
%{_mandir}/man1/iscsi-ls.1.*
%{_mandir}/man1/iscsi-inq.1.*
%{_mandir}/man1/iscsi-swp.1.*
%{_mandir}/man1/iscsi-test-cu.1.*

%package -n %devname
Summary: iSCSI client development libraries
Group: Development/C
Requires: %{libname}%{?_isa} = %{epoch}:%{version}-%{release}
Provides: libiscsi-devel = %{epoch}:%{version}-%{release}
Obsoletes: %mklibname -d iscsi 4

%description -n %devname
The %devname package includes the header files for libiscsi.

%files -n %devname
%dir %{libiscsi_includedir}
%{libiscsi_includedir}/iscsi.h
%{libiscsi_includedir}/scsi-lowlevel.h
%{libiscsi_libdir}/libiscsi.so
%{_libdir}/pkgconfig/libiscsi.pc



%changelog
* Sat Feb 29 2020 tv <tv> 1:1.19.0-0.git6ea30ae.mga8
+ Revision: 1552094
- Update to 1.9.0 git snapshot
- Major is now 9

* Sat Feb 15 2020 umeabot <umeabot> 1:1.18.0-6.mga8
+ Revision: 1525265
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Apr 10 2019 ngompa <ngompa> 1:1.18.0-5.mga7
+ Revision: 1387892
- Epoch bump to unmask the packages previously hidden by open-iscsi's libiscsi packages (which are now renamed)

* Mon Dec 03 2018 tv <tv> 1.18.0-4.mga7
+ Revision: 1337691
- Backport upstream fix for IPv6 connections
- Backport upstream fix for issues reported by coverity

* Sun Sep 23 2018 daviddavid <daviddavid> 1.18.0-3.mga7
+ Revision: 1297090
- fix dependencies

* Thu Sep 06 2018 tv <tv> 1.18.0-2.mga7
+ Revision: 1257455
- fix upgrade

* Thu Sep 06 2018 tv <tv> 1.18.0-1.mga7
+ Revision: 1257445
- enable RDMA support
- new release
- properly libify
- patch50: fix linking

* Tue Apr 26 2016 tv <tv> 1.15.0-3.mga6
+ Revision: 1006579
- include major in devel pkg name so that BS let libiscsi coexist with open-iscsi
- include major in devel pkg name so that BS let libiscsi coexist with open-iscsi
- provides libiscsi-devel
- imported package libiscsi

